package com.mosty.base.manager.service;

import com.mosty.base.model.dto.jcgl.TbJcglXljlDto;
import com.mosty.base.model.entity.jcgl.TbJcglXljl;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbJcglXljlService {

    @ApiOperation("添加训练记录")
    int addEntity(TbJcglXljlDto dto);

    @ApiOperation("修改训练记录")
    int editEntity(TbJcglXljlDto dto);

    @ApiOperation("批量删除训练记录")
    void deleteEntity(List<String> ids);

    @ApiOperation("查询训练记录详情")
    TbJcglXljl getInfo(String id);

    @ApiOperation("查询训练记录详情")
    List<TbJcglXljl> getListByXfid(String xfid);
}
